unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Grids, RXGrids;

type
  TForm1 = class(TForm)
    RxDrawGrid1: TRxDrawGrid;
    procedure FormCreate(Sender: TObject);
    procedure FormDeactivate(Sender: TObject);
    procedure RxDrawGrid1GetEditText(Sender: TObject; ACol, ARow: Integer;
      var Value: String);
    procedure RxDrawGrid1SetEditText(Sender: TObject; ACol, ARow: Integer;
      const Value: String);
    procedure RxDrawGrid1DrawCell(Sender: TObject; ACol, ARow: Integer;
      Rect: TRect; State: TGridDrawState);
    procedure FormResize(Sender: TObject);
    procedure RxDrawGrid1GetEditStyle(Sender: TObject; ACol, ARow: Integer;
      var Style: TInplaceEditStyle);
    procedure RxDrawGrid1GetPicklist(Sender: TObject; ACol, ARow: Integer;
      PickList: TStrings);

   

  private
    { Private declarations }
    slBitMap:TStringList; 
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}


procedure TForm1.FormCreate(Sender: TObject);
{    slBitMap    }
const Bmp_Path='C:\Documents and Settings\Katerinka.KAT\ \  \\\TRxDrawGrid\';
       FNames: array [0..3] of string=
         ('1.bmp','2.bmp','3.bmp','4.bmp');
var k:integer;
begin
{  }
  slBitMap := TStringList.Create;
{        }
  with slBitMap do
  for k:=0 to 3 do
   begin
    Add(FNames[k]);
    Objects[k]:=TBitMap.Create;
    (Objects[k] as TBitMap).LoadFromFile(Bmp_Path+FNames[k]);
   end;
end;

procedure TForm1.FormDeactivate(Sender: TObject);
{  slBitMap   }
begin
   slBitMap.Free;
end;


procedure TForm1.RxDrawGrid1GetEditText(Sender: TObject; ACol,
  ARow: Integer; var Value: String);
{      }
begin
 Value:= slBitMap[2*ACol + ARow];
end;

procedure TForm1.RxDrawGrid1SetEditText(Sender: TObject; ACol,
  ARow: Integer; const Value: String);

{         slBitMap}
begin
 slBitMap[2*ACol + ARow]:= Value;
end;

procedure TForm1.RxDrawGrid1DrawCell(Sender: TObject; ACol, ARow: Integer;
  Rect: TRect; State: TGridDrawState);
{   slBitMap.Objects     slBitMap}
var k: integer;
begin
{     }
   k:= 2*ACol + ARow;
 with RxDrawGrid1.Canvas, Rect, slBitMap do
 begin

 {      }
RxDrawGrid1.DrawStr(Rect,slBitMap[k],taRightJustify);
{ }   
RxDrawGrid1.DrawPicture(Rect, (Objects[k] as TBitMap));

 end;

end;


procedure TForm1.FormResize(Sender: TObject);
{      .   
      }
begin
 with RxDrawGrid1 do
 begin
  DefaultColWidth:= ClientRect.Right div 2 - 1;
  DefaultRowHeight:= ClientRect.Bottom div 2 - 1;
 end;
end;


procedure TForm1.RxDrawGrid1GetEditStyle(Sender: TObject; ACol,
  ARow: Integer; var Style: TInplaceEditStyle);
begin
  Style:=iePicklist; 
end;

procedure TForm1.RxDrawGrid1GetPicklist(Sender: TObject; ACol,
  ARow: Integer; PickList: TStrings);
begin
  PickList[0]:='1.bmp';
  PickList[1]:='2.bmp';
  PickList[2]:='3.bmp';
  PickList[3]:='4.bmp';

end;

end.
